.dir_rtl {
    direction: rtl;
    text-align: right;
}
.dir_ltr {
    direction: ltr;
    text-align: left;
}
.doc-content {
    padding: 30px;
    font-family: 'Iran-Yekan';
}
.doc-content>div,
.doc-content>pre {
    margin-bottom: 22px;
}
.doc-content code,
.doc-content kbd,
.doc-content pre,
.doc-content samp {
    font-family: monospace, monospace;
    font-size: 1em;
    color: #424242
}
.doc-content p {
    text-align: justify;
}
.doc-content .doc-heading.doc-h1,
.doc-content .doc-heading.doc-h2,
.doc-content .doc-heading.doc-h3,
.doc-content .doc-heading.doc-h4,
.doc-content .doc-heading.doc-h6,
.doc-content .doc-heading.doc-h7 {
    color: #00b4ff;
    cursor: pointer;
}
.doc-content a {
    border-bottom: 1px dotted;
    color: #00b4ff;
    font-weight: 500;
    outline: 0;
    text-decoration: none;
    transition: opacity .2s;
    white-space: nowrap;
}
.doc-content a:hover {
    opacity: .8;
}
.doc-content .examplePreview a {
    border-bottom: unset;
    color: unset;
    font-weight: unset;
    outline: 0;
    text-decoration: none;
    transition: all .2s;
    white-space: unset;
}
.doc-content a:hover {
    opacity: .8;
}
.doc-heading.doc-h1 {
    font-size: 3rem;
    font-weight: 600;
    line-height: 3rem;
    margin: 0 0 0.5em!important;
    padding: 1rem 0;
    direction: ltr;
    text-align: center;
}
.doc-heading.doc-h2 {
    border-bottom: 1px solid #ccc;
    font-weight: 600;
    line-height: 2rem;
    margin: 4rem 0 1.5rem;
    padding: 0.5rem 0;
}
.doc-heading.doc-h3 {
    font-size: 1.7rem;
    line-height: 1.7rem;
    margin: 2.5rem 0 1.5rem;
    padding: 0.45rem 0;
}
.doc-heading:after {
    content: " #";
    opacity: 0;
    transition: all .5s;
}
.doc-heading:hover:after {
    opacity: 1;
}
.doc-note {
    background-color: #f5f5f5;
    border-color: #eee;
    border-radius: 4px;
    border-style: solid;
    border-width: 0 5px;
    font-family: Avenir, -apple-system, BlinkMacSystemFont, Segoe UI, Helvetica, Arial, sans-serif;
    font-size: 1em;
    letter-spacing: .5px;
    line-height: 1.35em;
    margin: 16px 0;
    padding: 16px 24px;
}
.doc-note>p,
.doc-note>ul {
    margin-bottom: 0;
}
.doc-note__title {
    font-weight: 500;
    padding-bottom: 8px;
}
.doc-note--tip {
    background-color: #daf8e1;
    border-color: #9cedaf;
}
.doc-note--warning {
    background-color: #fcf2d7;
    border-color: #f9e09b;
}
.doc-note--danger {
    background-color: #ffdfe3;
    border-color: #ff808e;
}
.doc-token {
    background-color: #fff;
    border: 1px dotted #00b4ff;
    border-radius: 5px;
    color: #00b4ff;
    display: inline-block;
    font-family: inherit;
    line-height: 1;
    padding: 2px 4px;
    white-space: nowrap;
}
.doc-code .token.operator {
    background: unset;
}
.doc-note .doc-token {
    color: #000;
}
.doc-note--tip .doc-token {
    background: #9cedaf;
    border-width: 0;
}
.doc-note--warning .doc-token {
    background: #f7d987;
    border-width: 0;
}
.doc-note--danger .doc-token {
    background: #ff808e;
    border-width: 0;
}
.doc-note--tip a {
    color: #15792d;
}
.doc-note--warning a {
    color: #99730a;
}
.doc-note--danger a {
    color: #910010;
}
.doc-code {
    border-radius: 4px;
    overflow: visible;
    padding: 0;
}
.doc-code p,
doc-code span {
    margin: 0;
    padding: 0;
    text-align: left;
}
:not(pre)>code[class*=language-], pre[class*=language-] {
    background: #f5f5f5;
}
.doc-code:not(pre)>code[class*=language-], pre[class*=language-].doc-code {
    padding: 0;
    margin: 0;
}
.doc-code,
.doc-code__inner {
    max-height: 50vh;
    direction: ltr;
    unicode-bidi: unset;
}
.doc-code__inner {
    background-color: #f5f5f5;
    display: block;
    height: inherit;
    max-height: inherit;
    overflow: auto;
    padding: 1em;
}
code[class*=language-], pre[class*=language-] {
    white-space: pre-wrap;
}
.doc-code__inner--prerendered {
    border-color: #0000001f #00b4ff;
    border-radius: 4px;
    border-style: solid;
    border-width: 1px 4px;
}
.doc-table>:not(caption)>*>* {
    border-width: 0 0px;
}
.doc-table>:not(caption)>*>*:first-child {
    border-width: 0 1px 0 0;
}
.doc-table>:not(caption)>*>*:last-child {
    border-width: 0 0 0 1px;
}
.doc-card-title {
    background: #e0e0e0;
    border-radius: 5px 3px 0px 5px;
    color: #616161;
    margin-right: -28px;
    padding: 2px 24px 2px 10px;
    position: relative;
    width: fit-content;
}
.doc-card-title:after {
    border: 0 solid #0000;
    border-top-color: #bebebe;
    border-width: 9px 0 0 11px;
    content: "";
    height: 0;
    right: 0;
    position: absolute;
    top: 100%;
    width: 0;
    transform: rotateY(180deg);
}
.doc-code-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 26px;
    height: 26px;
    cursor: pointer;
}
.doc-code-btn::before {
    content: "";
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.0' width='24.000000pt' height='24.000000pt' viewBox='0 0 24.000000 24.000000' preserveAspectRatio='xMidYMid meet'%3E%3Cg transform='translate(0.000000,24.000000) scale(0.004687,-0.004687)' fill='%23000000' stroke='none'%3E%3Cpath d='M1825 3824 c-44 -23 -1143 -1122 -1166 -1166 -24 -47 -26 -146 -3 -191 22 -44 1120 -1144 1166 -1168 76 -39 198 -19 254 43 60 65 77 176 40 248 -10 19 -228 245 -484 503 l-467 467 467 468 c256 257 473 482 482 500 54 106 10 239 -96 293 -46 24 -150 25 -193 3z'%3E%3C/path%3E%3Cpath d='M3105 3823 c-80 -42 -131 -132 -122 -214 3 -27 13 -63 23 -81 9 -18 226 -243 482 -500 l467 -468 -467 -467 c-256 -258 -473 -483 -482 -501 -54 -106 -10 -239 96 -293 50 -26 146 -26 196 0 46 24 1144 1124 1166 1168 23 45 21 144 -3 191 -24 46 -1124 1144 -1168 1166 -42 21 -148 20 -188 -1z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");
    background-size: 20px;
    background-repeat: no-repeat;
    background-position: center;
    width: 20px;
    height: 20px;
    z-index: 1;
}
.doc-code-btn::after {
    content: "";
    background-color: #d5d5d5;
    display: block;
    opacity: 0;
    position: absolute;
    width: 0;
    height: 0;
    border-radius: 50%;
    transition: .3s all;
    z-index: 0;
}
.doc-code-btn:hover::after {
    opacity: .50;
    width: 100%;
    height: 100%;
}
.codeContainer div.code-toolbar>.toolbar {
    opacity: 1;
}
.codeContainer div.code-toolbar>.toolbar>.toolbar-item>button {
    position: absolute;
    width: 30px;
    height: 30px;
    z-index: 1;
    right: 10px;
    top: 10px;
    background: #00b4ff;
    transition: .3s all;
    cursor: pointer;
    -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' version='1.1' id='Layer_1' x='0px' y='0px' viewBox='0 0 115.77 122.88' style='enable-background:new 0 0 115.77 122.88' xml:space='preserve'%3E%3Cstyle type='text/css'%3E.st0%7Bfill-rule:evenodd;clip-rule:evenodd;%7D%3C/style%3E%3Cg%3E%3Cpath class='st0' d='M89.62,13.96v7.73h12.19h0.01v0.02c3.85,0.01,7.34,1.57,9.86,4.1c2.5,2.51,4.06,5.98,4.07,9.82h0.02v0.02 v73.27v0.01h-0.02c-0.01,3.84-1.57,7.33-4.1,9.86c-2.51,2.5-5.98,4.06-9.82,4.07v0.02h-0.02h-61.7H40.1v-0.02 c-3.84-0.01-7.34-1.57-9.86-4.1c-2.5-2.51-4.06-5.98-4.07-9.82h-0.02v-0.02V92.51H13.96h-0.01v-0.02c-3.84-0.01-7.34-1.57-9.86-4.1 c-2.5-2.51-4.06-5.98-4.07-9.82H0v-0.02V13.96v-0.01h0.02c0.01-3.85,1.58-7.34,4.1-9.86c2.51-2.5,5.98-4.06,9.82-4.07V0h0.02h61.7 h0.01v0.02c3.85,0.01,7.34,1.57,9.86,4.1c2.5,2.51,4.06,5.98,4.07,9.82h0.02V13.96L89.62,13.96z M79.04,21.69v-7.73v-0.02h0.02 c0-0.91-0.39-1.75-1.01-2.37c-0.61-0.61-1.46-1-2.37-1v0.02h-0.01h-61.7h-0.02v-0.02c-0.91,0-1.75,0.39-2.37,1.01 c-0.61,0.61-1,1.46-1,2.37h0.02v0.01v64.59v0.02h-0.02c0,0.91,0.39,1.75,1.01,2.37c0.61,0.61,1.46,1,2.37,1v-0.02h0.01h12.19V35.65 v-0.01h0.02c0.01-3.85,1.58-7.34,4.1-9.86c2.51-2.5,5.98-4.06,9.82-4.07v-0.02h0.02H79.04L79.04,21.69z M105.18,108.92V35.65v-0.02 h0.02c0-0.91-0.39-1.75-1.01-2.37c-0.61-0.61-1.46-1-2.37-1v0.02h-0.01h-61.7h-0.02v-0.02c-0.91,0-1.75,0.39-2.37,1.01 c-0.61,0.61-1,1.46-1,2.37h0.02v0.01v73.27v0.02h-0.02c0,0.91,0.39,1.75,1.01,2.37c0.61,0.61,1.46,1,2.37,1v-0.02h0.01h61.7h0.02 v0.02c0.91,0,1.75-0.39,2.37-1.01c0.61-0.61,1-1.46,1-2.37h-0.02V108.92L105.18,108.92z'/%3E%3C/g%3E%3C/svg%3E");
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' version='1.1' id='Layer_1' x='0px' y='0px' viewBox='0 0 115.77 122.88' style='enable-background:new 0 0 115.77 122.88' xml:space='preserve'%3E%3Cstyle type='text/css'%3E.st0%7Bfill-rule:evenodd;clip-rule:evenodd;%7D%3C/style%3E%3Cg%3E%3Cpath class='st0' d='M89.62,13.96v7.73h12.19h0.01v0.02c3.85,0.01,7.34,1.57,9.86,4.1c2.5,2.51,4.06,5.98,4.07,9.82h0.02v0.02 v73.27v0.01h-0.02c-0.01,3.84-1.57,7.33-4.1,9.86c-2.51,2.5-5.98,4.06-9.82,4.07v0.02h-0.02h-61.7H40.1v-0.02 c-3.84-0.01-7.34-1.57-9.86-4.1c-2.5-2.51-4.06-5.98-4.07-9.82h-0.02v-0.02V92.51H13.96h-0.01v-0.02c-3.84-0.01-7.34-1.57-9.86-4.1 c-2.5-2.51-4.06-5.98-4.07-9.82H0v-0.02V13.96v-0.01h0.02c0.01-3.85,1.58-7.34,4.1-9.86c2.51-2.5,5.98-4.06,9.82-4.07V0h0.02h61.7 h0.01v0.02c3.85,0.01,7.34,1.57,9.86,4.1c2.5,2.51,4.06,5.98,4.07,9.82h0.02V13.96L89.62,13.96z M79.04,21.69v-7.73v-0.02h0.02 c0-0.91-0.39-1.75-1.01-2.37c-0.61-0.61-1.46-1-2.37-1v0.02h-0.01h-61.7h-0.02v-0.02c-0.91,0-1.75,0.39-2.37,1.01 c-0.61,0.61-1,1.46-1,2.37h0.02v0.01v64.59v0.02h-0.02c0,0.91,0.39,1.75,1.01,2.37c0.61,0.61,1.46,1,2.37,1v-0.02h0.01h12.19V35.65 v-0.01h0.02c0.01-3.85,1.58-7.34,4.1-9.86c2.51-2.5,5.98-4.06,9.82-4.07v-0.02h0.02H79.04L79.04,21.69z M105.18,108.92V35.65v-0.02 h0.02c0-0.91-0.39-1.75-1.01-2.37c-0.61-0.61-1.46-1-2.37-1v0.02h-0.01h-61.7h-0.02v-0.02c-0.91,0-1.75,0.39-2.37,1.01 c-0.61,0.61-1,1.46-1,2.37h0.02v0.01v73.27v0.02h-0.02c0,0.91,0.39,1.75,1.01,2.37c0.61,0.61,1.46,1,2.37,1v-0.02h0.01h61.7h0.02 v0.02c0.91,0,1.75-0.39,2.37-1.01c0.61-0.61,1-1.46,1-2.37h-0.02V108.92L105.18,108.92z'/%3E%3C/g%3E%3C/svg%3E");
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-size: 18px;
    -webkit-mask-position: center;
    mask-repeat: no-repeat;
    mask-size: 18px;
    mask-position: center;

    padding: unset;
    border-radius: unset;
    box-shadow: unset;
}
.codeContainer div.code-toolbar>.toolbar>.toolbar-item>button span {
    display: none;
}
.codeContainer div.code-toolbar>.toolbar>.toolbar-item>button:hover {
    background-color: #75d5fd;
}
.codeContainer.nocopy div.code-toolbar>.toolbar>.toolbar-item>button {
    display: none;
}
.doc-tabs {
    position: relative;
    transition: color .3s,background-color .3s;
}
.doc-example__tabs {
    background: #eee;
    color: #757575;
    border: unset;
}
.doc-example__tabs .fade {
    opacity: unset;
    transition: unset;
}
.doc-example__tabs .nav-tabs {
    padding-left: 0;
}
.doc-example__tabs .nav-tabs .nav-item,
.doc-example__tabs .nav-tabs .nav-link {
    outline: unset !important;
    border: unset;
    transition: .5s all;
    position: relative;
}
.doc-example__tabs .nav-tabs .nav-link::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 0;
    background: #00b4ff;
    left: 0;
    right: 0;
    bottom: 0;
    transition: .3s all;
}
.doc-example__tabs .nav-tabs .nav-link.active {
    color: #495057;
    background: unset;
    border: unset;
}
.doc-example__tabs .nav-tabs .nav-link.active::after {
    height: 3px;
}
